Subject: RE: Why are WebDAV's XML namespace rules different than the W3C's ?

From: "Yaron Goland (Exchange)" <[email-masked]>
Date: Wed, 29 Dec 1999 10:36:54 -0800

Alas, yes, I am proposing that we drop 23.4.2. While, from a technical point
of view, it is clearly the wrong thing to do, from the interoperability
point of view it is the right thing to do. Since our job is to be
interoperable there doesn't seem to be much of a choice.

Until we get better at marketing than the W3C, they call the shots.

			Yaron

> -----Original Message-----
> From: Jim Davis [mailto:[email-masked]]
> Sent: Wed, December 29, 1999 9:39 AM
> To: Yaron Goland (Exchange); WebDAV WG
> Subject: Re: Why are WebDAV's XML namespace rules different than the
> W3C's? 
> 
> 
> At 04:43 PM 12/28/99 -0800, Yaron Goland (Exchange) wrote: 
> > Anyone who actually is supporting section 23.4.2 (which, in 
> so far as I
> know, nobody does) 
> 
> Well, the xml library that I wrote to support the Xerox PARC 
> Python WebDAV
> server does.
> I saw Greg Stein's email saying mod_dav does not follow 23.4.2
> 
> Any one else?
> 
> > is well advised to re-write their code to maintain the 
> separation between
> namespace 
> > and element name.
> 
> So you are proposing that we drop 23.4.2 from WebDAV?
> 
> Sigh.  I suppose that, if the entire rest of the XML world 
> does in fact
> follow the convention that namespaces are distinct from 
> element names, then
> WebDAV may as well switch to follow them.  What a pain in the neck!
>